function [N] = hermite_basis(X,DIF)
%HERMITE_BASIS 

if DIF==0
    
    N=(1/4)*[(X-1)^2*(X+2);
             (X-1)^2*(X+1);
            -(X+1)^2*(X-2);
             (X+1)^2*(X-1)];
         
elseif DIF==1
    
    N=(1/4)*[3*(X+1)*(X-1);
            (3*X+1)*(X-1);
            -3*(X+1)*(X-1);
            (3*X-1)*(X+1)];

end


end

